[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolBar.CheckMenuDropdown

Determines whether the specified button has a drop-down menu item which must be checked.

## Declaration

Source position: comctrls.pp line 2341

`protected function TToolBar.CheckMenuDropdown(`
`Button: TToolButton`
`):Boolean; virtual;`

## Arguments

`Button` |  | Tool button examined in the method.

## Function result

True if the menu item for the button was checked (clicked) in the method.

## Description

Called from the TToolButton.CheckMenuDropdown method when the tool button is clicked.

## See also

TToolButton.CheckMenuDropdown |  | Checks for and executes a drop-down menu for the tool button.